Index: /trunk/src/VBox/HostServices/SharedClipboard/VBoxSharedClipboardSvc-internal.h
===================================================================
--- /trunk/src/VBox/HostServices/SharedClipboard/VBoxSharedClipboardSvc-internal.h	(revision 103629)
+++ /trunk/src/VBox/HostServices/SharedClipboard/VBoxSharedClipboardSvc-internal.h	(revision 103630)
@@ -465,7 +465,6 @@
  * @{
  */
-int shClSvcTransferHandler(PSHCLCLIENT pClient, VBOXHGCMCALLHANDLE callHandle, uint32_t u32Function,
-                           uint32_t cParms, VBOXHGCMSVCPARM paParms[], uint64_t tsArrival);
-int shClSvcTransferHostHandler(uint32_t u32Function, uint32_t cParms, VBOXHGCMSVCPARM paParms[]);
+int ShClSvcTransferMsgClientHandler(PSHCLCLIENT pClient, VBOXHGCMCALLHANDLE callHandle, uint32_t u32Function, uint32_t cParms, VBOXHGCMSVCPARM paParms[], uint64_t tsArrival);
+int ShClSvcTransferMsgHostHandler(uint32_t u32Function, uint32_t cParms, VBOXHGCMSVCPARM paParms[]);
 /** @} */
 
@@ -473,31 +472,12 @@
  * @{
  */
-DECLCALLBACK(int) shClSvcTransferIfaceGHRootListRead(PSHCLTXPROVIDERCTX pCtx);
-DECLCALLBACK(int) shClSvcTransferIfaceGHListOpen(PSHCLTXPROVIDERCTX pCtx, PSHCLLISTOPENPARMS pOpenParms, PSHCLLISTHANDLE phList);
-DECLCALLBACK(int) shClSvcTransferIfaceGHListClose(PSHCLTXPROVIDERCTX pCtx, SHCLLISTHANDLE hList);
-DECLCALLBACK(int) shClSvcTransferIfaceGHListHdrRead(PSHCLTXPROVIDERCTX pCtx, SHCLLISTHANDLE hList, PSHCLLISTHDR pListHdr);
-DECLCALLBACK(int) shClSvcTransferIfaceGHListEntryRead(PSHCLTXPROVIDERCTX pCtx, SHCLLISTHANDLE hList, PSHCLLISTENTRY pListEntry);
-DECLCALLBACK(int) shClSvcTransferIfaceGHObjOpen(PSHCLTXPROVIDERCTX pCtx, PSHCLOBJOPENCREATEPARMS pCreateParms, PSHCLOBJHANDLE phObj);
-DECLCALLBACK(int) shClSvcTransferIfaceGHObjClose(PSHCLTXPROVIDERCTX pCtx, SHCLOBJHANDLE hObj);
-DECLCALLBACK(int) shClSvcTransferIfaceGHObjRead(PSHCLTXPROVIDERCTX pCtx, SHCLOBJHANDLE hObj, void *pvData, uint32_t cbData, uint32_t fFlags, uint32_t *pcbRead);
-/** @} */
-
-/** @name Shared Clipboard transfer interface implementations for host -> guest transfers.
- * @{
- */
-DECLCALLBACK(int) shClSvcTransferIfaceHGListHdrWrite(PSHCLTXPROVIDERCTX pCtx, SHCLLISTHANDLE hList, PSHCLLISTHDR pListHdr);
-DECLCALLBACK(int) shClSvcTransferIfaceHGListEntryWrite(PSHCLTXPROVIDERCTX pCtx, SHCLLISTHANDLE hList, PSHCLLISTENTRY pListEntry);
-DECLCALLBACK(int) shClSvcTransferIfaceHGObjWrite(PSHCLTXPROVIDERCTX pCtx, SHCLOBJHANDLE hObj, void *pvData, uint32_t cbData, uint32_t fFlags, uint32_t *pcbWritten);
-/** @} */
-
-/** @name Shared Clipboard transfer callbacks for the host service.
- * @{
- */
-DECLCALLBACK(void) VBoxSvcClipboardTransferPrepareCallback(PSHCLTXPROVIDERCTX pCtx);
-DECLCALLBACK(void) VBoxSvcClipboardDataHeaderCompleteCallback(PSHCLTXPROVIDERCTX pCtx);
-DECLCALLBACK(void) VBoxSvcClipboardDataCompleteCallback(PSHCLTXPROVIDERCTX pCtx);
-DECLCALLBACK(void) VBoxSvcClipboardTransferCompleteCallback(PSHCLTXPROVIDERCTX pCtx, int rc);
-DECLCALLBACK(void) VBoxSvcClipboardTransferCanceledCallback(PSHCLTXPROVIDERCTX pCtx);
-DECLCALLBACK(void) VBoxSvcClipboardTransferErrorCallback(PSHCLTXPROVIDERCTX pCtx, int rc);
+DECLCALLBACK(int) ShClSvcTransferIfaceGHRootListRead(PSHCLTXPROVIDERCTX pCtx);
+DECLCALLBACK(int) ShClSvcTransferIfaceGHListOpen(PSHCLTXPROVIDERCTX pCtx, PSHCLLISTOPENPARMS pOpenParms, PSHCLLISTHANDLE phList);
+DECLCALLBACK(int) ShClSvcTransferIfaceGHListClose(PSHCLTXPROVIDERCTX pCtx, SHCLLISTHANDLE hList);
+DECLCALLBACK(int) ShClSvcTransferIfaceGHListHdrRead(PSHCLTXPROVIDERCTX pCtx, SHCLLISTHANDLE hList, PSHCLLISTHDR pListHdr);
+DECLCALLBACK(int) ShClSvcTransferIfaceGHListEntryRead(PSHCLTXPROVIDERCTX pCtx, SHCLLISTHANDLE hList, PSHCLLISTENTRY pListEntry);
+DECLCALLBACK(int) ShClSvcTransferIfaceGHObjOpen(PSHCLTXPROVIDERCTX pCtx, PSHCLOBJOPENCREATEPARMS pCreateParms, PSHCLOBJHANDLE phObj);
+DECLCALLBACK(int) ShClSvcTransferIfaceGHObjClose(PSHCLTXPROVIDERCTX pCtx, SHCLOBJHANDLE hObj);
+DECLCALLBACK(int) ShClSvcTransferIfaceGHObjRead(PSHCLTXPROVIDERCTX pCtx, SHCLOBJHANDLE hObj, void *pvData, uint32_t cbData, uint32_t fFlags, uint32_t *pcbRead);
 /** @} */
 #endif /* VBOX_WITH_SHARED_CLIPBOARD_TRANSFERS */
Index: /trunk/src/VBox/HostServices/SharedClipboard/VBoxSharedClipboardSvc-transfers.cpp
===================================================================
--- /trunk/src/VBox/HostServices/SharedClipboard/VBoxSharedClipboardSvc-transfers.cpp	(revision 103629)
+++ /trunk/src/VBox/HostServices/SharedClipboard/VBoxSharedClipboardSvc-transfers.cpp	(revision 103630)
@@ -279,5 +279,5 @@
 
 /** @copydoc SHCLTXPROVIDERIFACE::pfnRootListRead */
-DECLCALLBACK(int) shClSvcTransferIfaceGHRootListRead(PSHCLTXPROVIDERCTX pCtx)
+DECLCALLBACK(int) ShClSvcTransferIfaceGHRootListRead(PSHCLTXPROVIDERCTX pCtx)
 {
     LogFlowFuncEnter();
@@ -307,5 +307,5 @@
 
 /** @copydoc SHCLTXPROVIDERIFACE::pfnListOpen */
-DECLCALLBACK(int) shClSvcTransferIfaceGHListOpen(PSHCLTXPROVIDERCTX pCtx,
+DECLCALLBACK(int) ShClSvcTransferIfaceGHListOpen(PSHCLTXPROVIDERCTX pCtx,
                                                  PSHCLLISTOPENPARMS pOpenParms, PSHCLLISTHANDLE phList)
 {
@@ -381,5 +381,5 @@
 
 /** @copydoc SHCLTXPROVIDERIFACE::pfnListClose */
-DECLCALLBACK(int) shClSvcTransferIfaceGHListClose(PSHCLTXPROVIDERCTX pCtx, SHCLLISTHANDLE hList)
+DECLCALLBACK(int) ShClSvcTransferIfaceGHListClose(PSHCLTXPROVIDERCTX pCtx, SHCLLISTHANDLE hList)
 {
     LogFlowFuncEnter();
@@ -441,5 +441,5 @@
 
 /** @copydoc SHCLTXPROVIDERIFACE::pfnListHdrRead */
-DECLCALLBACK(int) shClSvcTransferIfaceGHListHdrRead(PSHCLTXPROVIDERCTX pCtx,
+DECLCALLBACK(int) ShClSvcTransferIfaceGHListHdrRead(PSHCLTXPROVIDERCTX pCtx,
                                                     SHCLLISTHANDLE hList, PSHCLLISTHDR pListHdr)
 {
@@ -503,17 +503,6 @@
 }
 
-/** @copydoc SHCLTXPROVIDERIFACE::pfnListHdrWrite */
-DECLCALLBACK(int) shClSvcTransferIfaceHGListHdrWrite(PSHCLTXPROVIDERCTX pCtx,
-                                                     SHCLLISTHANDLE hList, PSHCLLISTHDR pListHdr)
-{
-    RT_NOREF(pCtx, hList, pListHdr);
-
-    LogFlowFuncEnter();
-
-    return VERR_NOT_IMPLEMENTED;
-}
-
 /** @copydoc SHCLTXPROVIDERIFACE::pfnListEntryRead */
-DECLCALLBACK(int) shClSvcTransferIfaceGHListEntryRead(PSHCLTXPROVIDERCTX pCtx,
+DECLCALLBACK(int) ShClSvcTransferIfaceGHListEntryRead(PSHCLTXPROVIDERCTX pCtx,
                                                       SHCLLISTHANDLE hList, PSHCLLISTENTRY pListEntry)
 {
@@ -577,17 +566,6 @@
 }
 
-/** @copydoc SHCLTXPROVIDERIFACE::pfnListEntryWrite */
-DECLCALLBACK(int) shClSvcTransferIfaceHGListEntryWrite(PSHCLTXPROVIDERCTX pCtx,
-                                                       SHCLLISTHANDLE hList, PSHCLLISTENTRY pListEntry)
-{
-    RT_NOREF(pCtx, hList, pListEntry);
-
-    LogFlowFuncEnter();
-
-    return VERR_NOT_IMPLEMENTED;
-}
-
 /** @copydoc SHCLTXPROVIDERIFACE::pfnObjOpen */
-DECLCALLBACK(int) shClSvcTransferIfaceGHObjOpen(PSHCLTXPROVIDERCTX pCtx, PSHCLOBJOPENCREATEPARMS pCreateParms, PSHCLOBJHANDLE phObj)
+DECLCALLBACK(int) ShClSvcTransferIfaceGHObjOpen(PSHCLTXPROVIDERCTX pCtx, PSHCLOBJOPENCREATEPARMS pCreateParms, PSHCLOBJHANDLE phObj)
 {
     LogFlowFuncEnter();
@@ -667,5 +645,5 @@
 
 /** @copydoc SHCLTXPROVIDERIFACE::pfnObjClose */
-DECLCALLBACK(int) shClSvcTransferIfaceGHObjClose(PSHCLTXPROVIDERCTX pCtx, SHCLOBJHANDLE hObj)
+DECLCALLBACK(int) ShClSvcTransferIfaceGHObjClose(PSHCLTXPROVIDERCTX pCtx, SHCLOBJHANDLE hObj)
 {
     LogFlowFuncEnter();
@@ -733,5 +711,5 @@
 
 /** @copydoc SHCLTXPROVIDERIFACE::pfnObjRead */
-DECLCALLBACK(int) shClSvcTransferIfaceGHObjRead(PSHCLTXPROVIDERCTX pCtx, SHCLOBJHANDLE hObj,
+DECLCALLBACK(int) ShClSvcTransferIfaceGHObjRead(PSHCLTXPROVIDERCTX pCtx, SHCLOBJHANDLE hObj,
                                                 void *pvData, uint32_t cbData, uint32_t fFlags, uint32_t *pcbRead)
 {
@@ -782,71 +760,4 @@
                     if (pcbRead)
                         *pcbRead = cbRead;
-
-                    ShClPayloadFree(pPayload);
-                }
-                else
-                    rc = rcEvent;
-            }
-
-            ShClEventRelease(pEvent);
-        }
-        else
-        {
-            shClSvcMsgFree(pClient, pMsg);
-            rc = VERR_SHCLPB_MAX_EVENTS_REACHED;
-        }
-    }
-    else
-        rc = VERR_NO_MEMORY;
-
-    LogFlowFuncLeaveRC(rc);
-    return rc;
-}
-
-/** @copydoc SHCLTXPROVIDERIFACE::pfnObjWrite */
-DECLCALLBACK(int) shClSvcTransferIfaceHGObjWrite(PSHCLTXPROVIDERCTX pCtx, SHCLOBJHANDLE hObj,
-                                                 void *pvData, uint32_t cbData, uint32_t fFlags, uint32_t *pcbWritten)
-{
-    LogFlowFuncEnter();
-
-    PSHCLCLIENT pClient = (PSHCLCLIENT)pCtx->pvUser;
-    AssertPtr(pClient);
-
-    int rc;
-
-    PSHCLCLIENTMSG pMsg = shClSvcMsgAlloc(pClient, VBOX_SHCL_HOST_MSG_TRANSFER_OBJ_WRITE,
-                                          VBOX_SHCL_CPARMS_OBJ_WRITE);
-    if (pMsg)
-    {
-        PSHCLEVENT pEvent;
-        rc = ShClEventSourceGenerateAndRegisterEvent(&pCtx->pTransfer->Events, &pEvent);
-        if (RT_SUCCESS(rc))
-        {
-            HGCMSvcSetU64(&pMsg->aParms[0], VBOX_SHCL_CONTEXTID_MAKE(pClient->State.uSessionID,
-                                                                     pCtx->pTransfer->State.uID, pEvent->idEvent));
-            HGCMSvcSetU64(&pMsg->aParms[1], hObj);
-            HGCMSvcSetU64(&pMsg->aParms[2], cbData);
-            HGCMSvcSetU64(&pMsg->aParms[3], fFlags);
-
-            shClSvcClientLock(pClient);
-
-            shClSvcMsgAdd(pClient, pMsg, true /* fAppend */);
-            rc = shClSvcClientWakeup(pClient);
-
-            shClSvcClientUnlock(pClient);
-
-            if (RT_SUCCESS(rc))
-            {
-                int               rcEvent;
-                PSHCLEVENTPAYLOAD pPayload;
-                rc = ShClEventWaitEx(pEvent, pCtx->pTransfer->uTimeoutMs, &rcEvent, &pPayload);
-                if (RT_SUCCESS(rc))
-                {
-                    const uint32_t cbRead = RT_MIN(cbData, pPayload->cbData);
-
-                    memcpy(pvData, pPayload->pvData, cbRead);
-
-                    if (pcbWritten)
-                        *pcbWritten = cbRead;
 
                     ShClPayloadFree(pPayload);
@@ -1662,5 +1573,5 @@
 
 /**
- * Transfer client (guest) handler for the Shared Clipboard host service.
+ * Transfer message client (guest) handler for the Shared Clipboard host service.
  *
  * @returns VBox status code, or VINF_HGCM_ASYNC_EXECUTE if returning to the client will be deferred.
@@ -1672,10 +1583,10 @@
  * @param   tsArrival           Timestamp of arrival.
  */
-int shClSvcTransferHandler(PSHCLCLIENT pClient,
-                           VBOXHGCMCALLHANDLE callHandle,
-                           uint32_t u32Function,
-                           uint32_t cParms,
-                           VBOXHGCMSVCPARM aParms[],
-                           uint64_t tsArrival)
+int ShClSvcTransferMsgClientHandler(PSHCLCLIENT pClient,
+                                    VBOXHGCMCALLHANDLE callHandle,
+                                    uint32_t u32Function,
+                                    uint32_t cParms,
+                                    VBOXHGCMSVCPARM aParms[],
+                                    uint64_t tsArrival)
 {
     RT_NOREF(callHandle, aParms, tsArrival);
@@ -2116,5 +2027,5 @@
 
 /**
- * Transfer host handler for the Shared Clipboard host service.
+ * Transfer message host handler for the Shared Clipboard host service.
  *
  * @returns VBox status code.
@@ -2123,7 +2034,7 @@
  * @param   aParms              Array function parameters supplied.
  */
-int shClSvcTransferHostHandler(uint32_t u32Function,
-                               uint32_t cParms,
-                               VBOXHGCMSVCPARM aParms[])
+int ShClSvcTransferMsgHostHandler(uint32_t u32Function,
+                                  uint32_t cParms,
+                                  VBOXHGCMSVCPARM aParms[])
 {
     RT_NOREF(cParms, aParms);
Index: /trunk/src/VBox/HostServices/SharedClipboard/VBoxSharedClipboardSvc-win.cpp
===================================================================
--- /trunk/src/VBox/HostServices/SharedClipboard/VBoxSharedClipboardSvc-win.cpp	(revision 103629)
+++ /trunk/src/VBox/HostServices/SharedClipboard/VBoxSharedClipboardSvc-win.cpp	(revision 103630)
@@ -254,14 +254,14 @@
         case SHCLTRANSFERDIR_FROM_REMOTE: /* G->H */
         {
-            pIface->pfnRootListRead  = shClSvcTransferIfaceGHRootListRead;
-
-            pIface->pfnListOpen      = shClSvcTransferIfaceGHListOpen;
-            pIface->pfnListClose     = shClSvcTransferIfaceGHListClose;
-            pIface->pfnListHdrRead   = shClSvcTransferIfaceGHListHdrRead;
-            pIface->pfnListEntryRead = shClSvcTransferIfaceGHListEntryRead;
-
-            pIface->pfnObjOpen       = shClSvcTransferIfaceGHObjOpen;
-            pIface->pfnObjClose      = shClSvcTransferIfaceGHObjClose;
-            pIface->pfnObjRead       = shClSvcTransferIfaceGHObjRead;
+            pIface->pfnRootListRead  = ShClSvcTransferIfaceGHRootListRead;
+
+            pIface->pfnListOpen      = ShClSvcTransferIfaceGHListOpen;
+            pIface->pfnListClose     = ShClSvcTransferIfaceGHListClose;
+            pIface->pfnListHdrRead   = ShClSvcTransferIfaceGHListHdrRead;
+            pIface->pfnListEntryRead = ShClSvcTransferIfaceGHListEntryRead;
+
+            pIface->pfnObjOpen       = ShClSvcTransferIfaceGHObjOpen;
+            pIface->pfnObjClose      = ShClSvcTransferIfaceGHObjClose;
+            pIface->pfnObjRead       = ShClSvcTransferIfaceGHObjRead;
             break;
         }
Index: /trunk/src/VBox/HostServices/SharedClipboard/VBoxSharedClipboardSvc-x11.cpp
===================================================================
--- /trunk/src/VBox/HostServices/SharedClipboard/VBoxSharedClipboardSvc-x11.cpp	(revision 103629)
+++ /trunk/src/VBox/HostServices/SharedClipboard/VBoxSharedClipboardSvc-x11.cpp	(revision 103630)
@@ -382,14 +382,14 @@
         case SHCLTRANSFERDIR_FROM_REMOTE: /* Guest -> Host. */
         {
-            pIface->pfnRootListRead  = shClSvcTransferIfaceGHRootListRead;
-
-            pIface->pfnListOpen      = shClSvcTransferIfaceGHListOpen;
-            pIface->pfnListClose     = shClSvcTransferIfaceGHListClose;
-            pIface->pfnListHdrRead   = shClSvcTransferIfaceGHListHdrRead;
-            pIface->pfnListEntryRead = shClSvcTransferIfaceGHListEntryRead;
-
-            pIface->pfnObjOpen       = shClSvcTransferIfaceGHObjOpen;
-            pIface->pfnObjClose      = shClSvcTransferIfaceGHObjClose;
-            pIface->pfnObjRead       = shClSvcTransferIfaceGHObjRead;
+            pIface->pfnRootListRead  = ShClSvcTransferIfaceGHRootListRead;
+
+            pIface->pfnListOpen      = ShClSvcTransferIfaceGHListOpen;
+            pIface->pfnListClose     = ShClSvcTransferIfaceGHListClose;
+            pIface->pfnListHdrRead   = ShClSvcTransferIfaceGHListHdrRead;
+            pIface->pfnListEntryRead = ShClSvcTransferIfaceGHListEntryRead;
+
+            pIface->pfnObjOpen       = ShClSvcTransferIfaceGHObjOpen;
+            pIface->pfnObjClose      = ShClSvcTransferIfaceGHObjClose;
+            pIface->pfnObjRead       = ShClSvcTransferIfaceGHObjRead;
             break;
         }
Index: /trunk/src/VBox/HostServices/SharedClipboard/VBoxSharedClipboardSvc.cpp
===================================================================
--- /trunk/src/VBox/HostServices/SharedClipboard/VBoxSharedClipboardSvc.cpp	(revision 103629)
+++ /trunk/src/VBox/HostServices/SharedClipboard/VBoxSharedClipboardSvc.cpp	(revision 103630)
@@ -816,5 +816,5 @@
  * @param   paParms     Array of parameters.
  */
-static int shClSvcClientQueryFeatures(VBOXHGCMCALLHANDLE hCall, uint32_t cParms, VBOXHGCMSVCPARM paParms[])
+static int shClSvcClientMsgQueryFeatures(VBOXHGCMCALLHANDLE hCall, uint32_t cParms, VBOXHGCMSVCPARM paParms[])
 {
     /*
@@ -1595,7 +1595,12 @@
 
 /**
- * Handles the VBOX_SHCL_GUEST_FN_REPORT_FORMATS message from the guest.
- */
-static int shClSvcClientReportFormats(PSHCLCLIENT pClient, uint32_t cParms, VBOXHGCMSVCPARM paParms[])
+ * Implements VBOX_SHCL_GUEST_FN_REPORT_FORMATS.
+ *
+ * @returns VBox status code.
+ * @param   pClient      The client state.
+ * @param   cParms       Number of parameters.
+ * @param   paParms      Array of parameters.
+ */
+static int shClSvcClientMsgReportFormats(PSHCLCLIENT pClient, uint32_t cParms, VBOXHGCMSVCPARM paParms[])
 {
     /*
@@ -1691,6 +1696,7 @@
 
 /**
+ * Implements VBOX_SHCL_GUEST_FN_DATA_READ.
+ *
  * Called when the guest wants to read host clipboard data.
- * Handles the VBOX_SHCL_GUEST_FN_DATA_READ message.
  *
  * @returns VBox status code.
@@ -1700,5 +1706,5 @@
  * @param   paParms             Array of HGCM parameters.
  */
-static int shClSvcClientReadData(PSHCLCLIENT pClient, uint32_t cParms, VBOXHGCMSVCPARM paParms[])
+static int shClSvcClientMsgDataRead(PSHCLCLIENT pClient, uint32_t cParms, VBOXHGCMSVCPARM paParms[])
 {
     LogFlowFuncEnter();
@@ -1860,6 +1866,7 @@
 
 /**
+ * Implements VBOX_SHCL_GUEST_FN_DATA_WRITE.
+ *
  * Called when the guest writes clipboard data to the host.
- * Handles the VBOX_SHCL_GUEST_FN_DATA_WRITE message.
  *
  * @returns VBox status code.
@@ -1868,5 +1875,5 @@
  * @param   paParms             Array of HGCM parameters.
  */
-static int shClSvcClientWriteData(PSHCLCLIENT pClient, uint32_t cParms, VBOXHGCMSVCPARM paParms[])
+static int shClSvcClientMsgDataWrite(PSHCLCLIENT pClient, uint32_t cParms, VBOXHGCMSVCPARM paParms[])
 {
     LogFlowFuncEnter();
@@ -2029,5 +2036,5 @@
 
 /**
- * Gets an error from HGCM service parameters.
+ * Implements the VBOX_SHCL_GUEST_FN_ERROR.
  *
  * @returns VBox status code.
@@ -2036,5 +2043,5 @@
  * @param   pRc                 Where to store the received error code.
  */
-static int shClSvcClientError(uint32_t cParms, VBOXHGCMSVCPARM paParms[], int *pRc)
+static int shClSvcClientMsgError(uint32_t cParms, VBOXHGCMSVCPARM paParms[], int *pRc)
 {
     AssertPtrReturn(paParms, VERR_INVALID_PARAMETER);
@@ -2227,5 +2234,5 @@
 
         case VBOX_SHCL_GUEST_FN_QUERY_FEATURES:
-            rc = shClSvcClientQueryFeatures(callHandle, cParms, paParms);
+            rc = shClSvcClientMsgQueryFeatures(callHandle, cParms, paParms);
             break;
 
@@ -2255,13 +2262,13 @@
 
         case VBOX_SHCL_GUEST_FN_REPORT_FORMATS:
-            rc = shClSvcClientReportFormats(pClient, cParms, paParms);
+            rc = shClSvcClientMsgReportFormats(pClient, cParms, paParms);
             break;
 
         case VBOX_SHCL_GUEST_FN_DATA_READ:
-            rc = shClSvcClientReadData(pClient, cParms, paParms);
+            rc = shClSvcClientMsgDataRead(pClient, cParms, paParms);
             break;
 
         case VBOX_SHCL_GUEST_FN_DATA_WRITE:
-            rc = shClSvcClientWriteData(pClient, cParms, paParms);
+            rc = shClSvcClientMsgDataWrite(pClient, cParms, paParms);
             break;
 
@@ -2269,5 +2276,5 @@
         {
             int rcGuest;
-            rc = shClSvcClientError(cParms,paParms, &rcGuest);
+            rc = shClSvcClientMsgError(cParms,paParms, &rcGuest);
             if (RT_SUCCESS(rc))
             {
@@ -2295,5 +2302,5 @@
             {
                 if (g_fTransferMode & VBOX_SHCL_TRANSFER_MODE_F_ENABLED)
-                    rc = shClSvcTransferHandler(pClient, callHandle, u32Function, cParms, paParms, tsArrival);
+                    rc = ShClSvcTransferMsgClientHandler(pClient, callHandle, u32Function, cParms, paParms, tsArrival);
                 else
                 {
@@ -2450,5 +2457,5 @@
         {
 #ifdef VBOX_WITH_SHARED_CLIPBOARD_TRANSFERS
-            rc = shClSvcTransferHostHandler(u32Function, cParms, paParms);
+            rc = ShClSvcTransferMsgHostHandler(u32Function, cParms, paParms);
 #else
             rc = VERR_NOT_IMPLEMENTED;